EDIT - bug #8860

Sec reference not inherited from classification anymore
02/24/2020 05:09 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.13

Severity: normal Found in Version:

Description

When adding a (root) child node to a classification it used to be that the sec reference for the new taxon was taken from the
reference of the classification. This is not the case anymore. Instead no sec reference is added anymore.
This regression needs to be reverted so the classification references is taken as sec again (if a reference exists).

Associated revisions

Revision €9069de4 - 03/20/2020 09:13 AM - Katja Luther

ref #8860: fix add classification ref as sec reference

History

#1 - 03/10/2020 10:02 AM - Katja Luther

- Status changed from New to Resolved

This seems to be fixed already. | tested on rem_conf_am and the new taxon has the reference of the classification as sec reference.

#2 - 03/10/2020 10:19 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#3 - 03/19/2020 09:59 PM - Andreas Kohlbecker
- File picture556-1.png added

- File picture556-2.png added

- Status changed from Resolved to In Progress

- Assignee changed from Andreas Miiller to Katja Luther

For me this is still not working.

The new Taxon dialog shows the sec.-reference:

04/18/2024 1/3




ks Taxon Navigator £

~ Auct. - Taxonomic synonyms. in Hofbauer, W., Kawai, H., Nakayar

>

Auct. - Taxonomic =

>

Bacillariophyta
Chlorophyta
Cryptophyta
Dinophyta
Euglenophyta
Haptophyta
Heterokontoph

New rootone

Rhodophyta

> Budel, B., Kauff, F,

> Hofbauer, W., Kawa

> IAPT

> Kamiya, M., Lindstre

But is is not being persisted:

=

S = = ‘@Newrootoneﬁi&

® New rootone

New Taxon
New Taxon
Parent =1
Parent Child Relation Source =1

Detail
Reuse existing taxon

Reuse existing name

Secundum Reference Auct. - Taxonomic synonymes. in =1
Kamiya, M., Lindstrom, S.C.,
Nakayama, T. & al., Photoautotrophic
eukaryotic algae : Rhodophyta., ed.
13,2,2:1-171.2017

New Taxon New roottwo

Taxon is published ]

Placement is doubtful ]

Taxon is unplaced (]

Taxon is excluded (]

Finish and Open Cancel Finish

% New root... =

® New roottwo

"y T B ||[# Details % = 0
-~ Taxon: New roottwo sec. 77?7
Title Cache New roottwo | &
Sec. 777

Appended Phrase

Secundum = &3
Exclude Authorship [ |

Taxon is doubtful [ ]

Taxon is published (M

| suggest moving this issue to the next target version.

#4 - 03/20/2020 04:07 PM - Katja Luther

- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Kohlbecker

#5 - 03/23/2020 12:29 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

- Assignee changed from Andreas Kohlbecker to Katja Luther
- % Done changed from 0 to 100

Ok, this is definitely fixed.

Files
picture556-1.png 111 KB 03/19/2020 Andreas Kohlbecker
picture556-2.png 28.3 KB 03/19/2020 Andreas Kohlbecker
